Subject: RE: [Asrg] Spam, defined, and permissions

From: "Hannigan, Martin" <[email-masked]>
Date: Tue, 28 Dec 2004 09:06:02 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Devdas Bhagat
> Sent: Tuesday, December 28, 2004 8:49 AM
> To: [email-masked]
> Subject: Re: [Asrg] Spam, defined, and permissions
> 
> 
> On 28/12/04 08:04 -0500, Hannigan, Martin wrote:
> <snip>
> > Youre fantasizing "War of The eWorlds". I'm suggesting a 
> cap on current
> > services so that any obvious overuse (spam?) is paid for - 
> which in turn
> 
> A cap valid for whom? And enforced how? I run my own server, and
> smarthost through a host I control, so I obviously do not have caps.

Then it's possible you'd be forced to the telco's relay and billed
accordingly.

Why are you asking me these questions that you know the answers to 
already?

> 
> Viruses and significant volumes of spam go direct to MX, so you do not
> have the luxury of forcing them through ISP controlled servers either.

Sure I do. This is not some new technology we're discussing. Is it?

> So long as you do not have centrally controlled servers for email, any
> feasibility of billing for email is negligible.

I don't know a tier1 that doesn't have centrally controller servers,
or any ISP for that matter. If they don't offer email services, then
 I guess they don't block port 25.

> The telecom model works because phones are not inherently 
> peer to peer.

I don't understand the relevance. Please explain.

> The intelligence built into the system is in the core, not at 
> the edge.

I don't think I've said anything different.

> 
> If your phone system was to go peer to peer, as with VoIP, do 
> you think
> that billing for such traffic would even be feasible?

Have you read the RFC for SIP? 

Let's use Vonage for an example. There's a call setup and teardown
via a centralized server because their plans are flat rate to a measurement
of minutes.

> > drives entities to act by either a.de-zombify or b. not sending
> > junk mail - because it's not cost effective ie. comcast 
> charges a commercial
> > rate for the line, a fee over the cap, a higher cost plan, etc. 
> 
> It would be easier to just charge users by the byte.

No it wouldn't. You'd have to measure every email instead of a start
and stop record like RADIUS AAA.

> > > I imagine that the same hackers who gave us P2P will find a way to
> > > send email transparently, without necessarily using the 
> existing email
> > > network. Then we'll have two email networks, a free one and a 
> > > metered one.
> > 
> > Grasping at straws. There is NO SUCH THING as a free network. This
> > is 2004. In 1994 there was the appearance of free, but univerisities
> > bore the brunt of the "cost" for "free".
> 
> s/free/flat rate/
> 

Ok, flat rate. But that's what I'm talking about. A flat rate 
network that charges upon violation of the SLA you pay for i.e.
you pay 9.99 for 100 bi-directional emails a month, and it goes
up from there.

-M< 

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Devdas Bhagat <[email-masked]>
Date: Tue, 28 Dec 2004 19:54:14 +0530

On 28/12/04 09:06 -0500, Hannigan, Martin wrote:
<snip>
> Then it's possible you'd be forced to the telco's relay and billed

And exactly how does the telco propose to enforce my usage of their
server? Post 25 blocks? I just use another port, or I VPN.

> Sure I do. This is not some new technology we're discussing. Is it?

How do you propose to do that? Port 25 blocks?
 
>  I guess they don't block port 25.

ISPs control their servers. They do not control the servers that their
users can use.
 
> I don't understand the relevance. Please explain.

The PSTN network relies on the exchanges to do everything. These
exchanges are controlled by relatively few entities. With email, you are
dealing with a few orders more of magnitude of entities talking directly
to each other (think HAM radio instead of a phone network).

With few entities involved, billing is relatively simple. Also, all the
billing is done at the exchange, not on the phone and the phone CANNOT
bypass the exchange.

> via a centralized server because their plans are flat rate to a measurement

However, if I want to talk to my friends in the US, I can setup a VoIP
network for them, or they can all install Asterix or another piece of
software and then talk directly. Direct end to end connectivity,
competely bypassing any provider.

You need Vonage to be able to talk to the PSTN. If you set a reverse
constraint that you will only talk to IP phones, that communication can
go direct to the other end without having to go via the providers
exchange.

To prevent such things from happening, you would either have to control the
user end device, or use proxies which would prevent such communication.

> and stop record like RADIUS AAA.

I wasn't restricting myself to email. All your network traffic would be
charged by the byte, regardless of content.

> you pay 9.99 for 100 bi-directional emails a month, and it goes

But if I use their network only for layer 3 connectivity and not layer
7, how do you propose that such a charge be enforced?

Devdas Bhagat